For the complete documentation index, see llms.txt. This page is also available as Markdown.

deletePortfolio

Perform various delete operations on portfolio records.

Symitar eDocs References: Coming soon.

Operations

deletePortfolio

post
Authorizations
Body
AccountNumberstringOptional
PortfolioIdstringOptional
Responses
200

Successful operation.

post/deletePortfolio
POST /nexum/627/2022.01/account/deletePortfolio HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PortfolioId": "NW4B",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deletePortfolio"
}

deletePortfolioNote

post
Authorizations
Body
AccountNumberstringOptional
PortfolioIdstringOptional
PortfolioNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePortfolioNote
POST /nexum/627/2022.01/account/deletePortfolioNote HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 389

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PortfolioId": "text",
  "PortfolioNoteLocator": 1,
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "nxAttributes": {}
}

deletePortfolioTracking

post
Authorizations
Body
AccountNumberstringOptional
PortfolioIdstringOptional
PortfolioTrackingLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePortfolioTracking
POST /nexum/627/2022.01/account/deletePortfolioTracking HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 393

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PortfolioId": "text",
  "PortfolioTrackingLocator": 1,
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "nxAttributes": {}
}

Last updated

Was this helpful?